import { Router } from 'express';

import Auth from './modules/auth-router';
import CarManufacturer from './modules/car-manufacturer-router';
import CarModel from './modules/car-model-router';
import Cart from './modules/cart-router';
import Checkauto from './modules/checkauto-router';
import ConciergePartnership from './modules/concierge-partnership-request-router';
import ConciergeRrequest from './modules/concierge-request-router';
import ContractParts from './modules/contract-parts-router';
import Feedback from './modules/feedback-router';
import Geo from './modules/geo-router';
import Organization from './modules/organization-router';
import PartCategories from './modules/part-categories-router';
import PartInfo from './modules/part-info-router';
import PartItemName from './modules/part-item-name-router';
import Part from './modules/part-router';
import Seo from './modules/seo-router';
import ShopOrder from './modules/shop-order-router';
import Shop from './modules/shop-router';
import TechSupport from './modules/tech-support-router';
import TyreItem from './modules/tyre-item-router';
import TyreWheel from './modules/tyre-wheel-router';
import User from './modules/user-router';
import VinRequest from './modules/vin-request-router';
import WheelItem from './modules/wheel-item-router';
import RefAdditionalContactMethods from './modules/ref-additional-contact-methods-router';
import RefPaymentMethods from './modules/ref-payment-methods-router';
import RefShopAttributes from './modules/ref-shop-attributes-router';
import RefStoServiceGroups from './modules/ref-sto-service-groups';
import Sto from './modules/sto-router';
import Abuse from './modules/abuse-router';
import Search from './modules/search-router';
import Info from './modules/info-router';
import City from './modules/city-router';
import PartGroup from './modules/part-group-router';

const router = Router();
router.use(Auth.prefix, Auth.router);
router.use(CarManufacturer.prefix, CarManufacturer.router);
router.use(CarModel.prefix, CarModel.router);
router.use(Cart.prefix, Cart.router);
router.use(Checkauto.prefix, Checkauto.router);
router.use(ConciergePartnership.prefix, ConciergePartnership.router);
router.use(ConciergeRrequest.prefix, ConciergeRrequest.router);
router.use(ContractParts.prefix, ContractParts.router);
router.use(Feedback.prefix, Feedback.router);
router.use(Geo.prefix, Geo.router);
router.use(Organization.prefix, Organization.router);
router.use(PartCategories.prefix, PartCategories.router);
router.use(PartInfo.prefix, PartInfo.router);
router.use(PartItemName.prefix, PartItemName.router);
router.use(Part.prefix, Part.router);
router.use(Seo.prefix, Seo.router);
router.use(ShopOrder.prefix, ShopOrder.router);
router.use(Shop.prefix, Shop.router);
router.use(TechSupport.prefix, TechSupport.router);
router.use(TyreItem.prefix, TyreItem.router);
router.use(TyreWheel.prefix, TyreWheel.router);
router.use(User.prefix, User.router);
router.use(VinRequest.prefix, VinRequest.router);
router.use(WheelItem.prefix, WheelItem.router);
router.use(RefAdditionalContactMethods.prefix, RefAdditionalContactMethods.router);
router.use(RefPaymentMethods.prefix, RefPaymentMethods.router);
router.use(RefShopAttributes.prefix, RefShopAttributes.router);
router.use(Sto.prefix, Sto.router);
router.use(RefStoServiceGroups.prefix, RefStoServiceGroups.router);
router.use(Abuse.prefix, Abuse.router);
router.use(Search.prefix, Search.router);
router.use(Info.prefix, Info.router);
router.use(City.prefix, City.router);
router.use(PartGroup.prefix, PartGroup.router);

export default router;
